typedef unsigned char Byte;

struct stats_common {
 Byte     year_yy;
 Byte     year_cc;
 Byte     month;
 Byte     day;
 Byte     hour;
 Byte     minute;
 Byte     seconds;
 Byte     centiseconds;
 short    stats_version;
 Byte     sample_flag;
 Byte     sample_pct;
 double   num_nulls;
 Byte     fill001[2];
 Byte     numeric_flag;
 Byte     fill002[1];
  /* total length = 24 bytes */
};

struct stats_v02 {
 struct stats_common  common;
 Byte     fill003[16];
 double   d_offset40;
 double   d_offset48;
 double   d_offset56;
 double   d_offset64;
 double   d_offset72;
 double   d_offset80;
};

struct stats_v03 {
 struct stats_common  common;
 Byte     fill003[32];
 unsigned short    n_amps;
 double   d_offset58;
 double   d_offset66;
 double   d_offset74;
 double   d_offset82;
 double   d_offset90;
 double   d_offset98;
 double   d_offset106;
 double   d_offset114;
};
